unit VaxRingGroup;

interface

uses

     System.Classes,

    VaxCallSessionRoute,
    VaxDefine,
    VaxTeleServerSIP,
    VaxServerExCOM;


type TVaxRingGroup = class

    public
        m_objVaxServer : TVaxTeleServerSIP;

    public
       constructor Create(); reintroduce; overload;

      function OnIncomingCall(nSessionId: Integer; sCallerName: String; sCallerId: String; sRingGroupName: String) : Boolean;
      procedure OnAddCallSessionToRingGroupSuccess(sGroupName: string; lSessionId: Integer);
      procedure OnAddCallSessionToRingGroupFailed(sGroupName: string; lSessionId: Integer);

end;
implementation

        constructor TVaxRingGroup.Create();
        begin

        end;

     function TVaxRingGroup.OnIncomingCall(nSessionId: Integer; sCallerName: String; sCallerId: String; sRingGroupName: String) : Boolean;
      begin

         if(sRingGroupName = '') Then
            Exit(False);

         if(TVaxServerExCOM.mVaxExCOM.AddCallSessionToRingGroup(sRingGroupName, sCallerName, sCallerId, nSessionId) = False) then
            Exit(False);

         Exit(True);

        end;

        procedure TVaxRingGroup.OnAddCallSessionToRingGroupSuccess(sGroupName: string; lSessionId: Integer);
        begin

        end;

        procedure TVaxRingGroup.OnAddCallSessionToRingGroupFailed(sGroupName: string; lSessionId: Integer);
        begin

        end;

end.
