﻿Class cCallPickUpMemberDetails

    Public m_sPickUpMemberName As String

End Class

'///////////////////////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////////////////////

Public Class cCallPickUpMemberList

    Dim m_objCallPickUpMemberList As New Dictionary(Of String, cCallPickUpMemberDetails)

    Public Function AddMember(ByVal sMemberName As String) As Boolean

        Dim pMemberDetails As cCallPickUpMemberDetails = Nothing

        m_objCallPickUpMemberList.TryGetValue(sMemberName, pMemberDetails)

        If (pMemberDetails Is Nothing) Then

            pMemberDetails = New cCallPickUpMemberDetails()
            m_objCallPickUpMemberList.Add(sMemberName, pMemberDetails)

        End If

        pMemberDetails.m_sPickUpMemberName = sMemberName

        Return True

    End Function

    Public Sub RemoveMember(ByVal sMemberName As String)

        Dim pMemberDetails As cCallPickUpMemberDetails = Nothing

        m_objCallPickUpMemberList.TryGetValue(sMemberName, pMemberDetails)
        If (pMemberDetails Is Nothing) Then Return

        m_objCallPickUpMemberList.Remove(sMemberName)

    End Sub

    Public Function GetMemberList(ByRef sCallPickUpMemberList As List(Of String)) As Boolean

        Dim pMemberDetails As cCallPickUpMemberDetails = Nothing

        For Each sPickUpMemberName As KeyValuePair(Of String, cCallPickUpMemberDetails) In m_objCallPickUpMemberList
            pMemberDetails = sPickUpMemberName.Value
            sCallPickUpMemberList.Add(pMemberDetails.m_sPickUpMemberName)
        Next

        Return True

    End Function

    Public Function IsGroupMember(ByVal sMemberName As String) As Boolean

        Dim pMemberDetails As cCallPickUpMemberDetails = Nothing

        m_objCallPickUpMemberList.TryGetValue(sMemberName, pMemberDetails)
        If (pMemberDetails Is Nothing) Then Return False

        Return True

    End Function

    Public Sub DeleteAllPickUpMember()

        m_objCallPickUpMemberList.Clear()

    End Sub

End Class
