#include "stdafx.h"
#include "VaxRegUserList.h"


CVaxRegUserList::CVaxRegUserList(void)
{
	m_objUserList.InitHashTable(2000, TRUE);
}

CVaxRegUserList::~CVaxRegUserList(void)
{
	DeleteRegUserAll();
}


CVaxRegUser* CVaxRegUserList::AddRegUserData(CString sUserName)
{
	RemoveRegUserData(sUserName);
	
	CVaxRegUser* pVaxRegUser = new CVaxRegUser();
	m_objUserList.SetAt(sUserName, pVaxRegUser);

	return pVaxRegUser;
}

CVaxRegUser* CVaxRegUserList::GetRegUserData(CString sUserName)
{
	CVaxRegUser* pVaxRegUser = NULL;

	if(!m_objUserList.Lookup(sUserName, pVaxRegUser))
		return NULL;

	return pVaxRegUser;
}

void CVaxRegUserList::RemoveRegUserData(CString sUserName)
{
	CVaxRegUser* pVaxRegUser = NULL;

	m_objUserList.Lookup(sUserName, pVaxRegUser);
	m_objUserList.RemoveKey(sUserName);

	if(pVaxRegUser != NULL)
		delete pVaxRegUser;
}

void CVaxRegUserList::DeleteRegUserAll()
{
	CString sUserName;
	CVaxRegUser* pVaxRegUser = NULL;

	POSITION posUserList = NULL;
	posUserList = m_objUserList.GetStartPosition();

	while(posUserList != NULL)
	{
		m_objUserList.GetNextAssoc(posUserList, sUserName, pVaxRegUser);
		
		if(pVaxRegUser != NULL)
			delete pVaxRegUser;
	}

	m_objUserList.RemoveAll();

}

DWORD CVaxRegUserList::GetRegUserCount()
{
	return m_objUserList.GetCount();
}