// Codec.cpp: implementation of the CCodec class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "VaxTeleServerApp.h"
#include "Codec.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CCodec::CCodec()
{

}

CCodec::~CCodec()
{

}

CString CCodec::GetCodecNo(CString sCodecText)
{
	if(sCodecText == G711U_TEXT)
		return VAX_CODEC_G711U_STR;

	else if(sCodecText == G711A_TEXT)
		return VAX_CODEC_G711A_STR;

	else if(sCodecText == ILBC_TEXT)
		return VAX_CODEC_ILBC_STR;

	else if(sCodecText == G610_TEXT)
		return VAX_CODEC_GSM610_STR;

	else if(sCodecText == G729_TEXT)
		return VAX_CODEC_G729_STR;

	return "";
}


CString CCodec::GetCodecName(char cCodecNo)
{
	switch(cCodecNo)
	{
		case VAX_CODEC_G711U_CHAR:
			return G711U_TEXT;
		break;

		case VAX_CODEC_G711A_CHAR:
			return G711A_TEXT;
		break;

		case VAX_CODEC_ILBC_CHAR:
			return ILBC_TEXT;
		break;

		case VAX_CODEC_GSM610_CHAR:
			return G610_TEXT;
		break;

		case VAX_CODEC_G729_CHAR:
			return G729_TEXT;
		break;

		default:
			return "";
	}
	
	
}
