#pragma once

#include "StoreRegistry.h"

class CStoreQueue : public CStoreRegistry
{

public:

	CStoreQueue(void);
	~CStoreQueue(void);

public:
    
	BOOL AddQueue(LPCTSTR sQueueName);
	BOOL RemoveQueue(LPCTSTR sQueueName);
	BOOL GetQueueNameAll(CStringList* pListQueueName);

    BOOL SetMusicFile(LPCTSTR sQueueName, LPCTSTR sFileName);
	BOOL GetMusicFile(LPCTSTR sQueueName, CString& sFileName);

	BOOL SetDialToneFile(LPCTSTR sQueueName, LPCTSTR sFileName);
    BOOL GetDialToneFile(LPCTSTR sQueueName, CString& sDialToneMusic);

	BOOL AddQueueAgent(LPCTSTR sQueueName, LPCTSTR sAgentName);
	BOOL GetQueueAgentNameAll(LPCTSTR sQueueName, CStringList* pAgentName);
	BOOL RemoveQueueAgent(LPCTSTR sQueueName, LPCTSTR sAgentName);

	BOOL SetQueueAgentPriority(LPCTSTR sQueueName, LPCTSTR sAgentName, LONG lPriority);
	BOOL GetQueueAgentPriority(LPCTSTR sQueueName, CString& sAgentName, LONG& lPriority);
	BOOL RemoveQueueAgentPriority(LPCTSTR sQueueName, LPCTSTR sAgentName, LONG lPriority);

	BOOL SetQueueProcessMode(LPCTSTR sQueueName, int nProcessMode, int nProcessType);
	BOOL GetQueueProcessMode(LPCTSTR sQueueName, int& nProcessMode, int& nProcessType);
	
	BOOL IsDataStored();
};



