#include "stdafx.h"
#include "StoreRoom.h"

#define ROOT_PATH	"Rooms\\"

CStoreRoom::CStoreRoom(void)
{

}

CStoreRoom::~CStoreRoom(void)
{

}

BOOL CStoreRoom::AddRoom(LPCTSTR sRoomName, LPCTSTR sRoomNo)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s", ROOT_PATH, sRoomName);

	CStoreRegistry::SetTEXT(sKeyPath, "RoomNo", sRoomNo);
	return TRUE;
}

BOOL CStoreRoom::GetRoom(LPCTSTR sRoomName, CString& sRoomNo)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s", ROOT_PATH, sRoomName);

	CStoreRegistry::GetTEXT(sKeyPath, "RoomNo", sRoomNo);
	return TRUE;
}

BOOL CStoreRoom::RemoveRoom(LPCTSTR sRoomName)
{
	CString sKeyPath;
	sKeyPath.Format("%s%s", ROOT_PATH, sRoomName);

	CStoreRegistry::DeleteSubKey(sRoomName);
	return TRUE;
}

//////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

BOOL CStoreRoom::GetRoomAll(CStringList* pRoomList)
{
	pRoomList->RemoveAll();

	CString sKeyPath;
	sKeyPath =  ROOT_PATH;

	CStoreRegistry::EnumSubKeys(sKeyPath, pRoomList);
	return TRUE;
}

BOOL CStoreRoom::IsDataStored()
{

	return CStoreRegistry::IsKeyExist(ROOT_PATH);
}



