using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VaxTeleConfigSIP
{
    public partial class StatusLogForm : Form
    {
        public StatusLogForm()
        {
            InitializeComponent();
        }

        public void OnStatusLog(string sStatus)
        {
            ListStatus.Items.Add(sStatus);

            string sCaption = "Status log (" + Convert.ToString(ListStatus.Items.Count) + ")";
            MainForm.m_objMainForm.SetPageTitle(sCaption, 9);
        }

        private void BtnClear_Click(object sender, EventArgs e)
        {
            ListStatus.Items.Clear();
            MainForm.m_objMainForm.SetPageTitle("Status log (0)", 9);
        }
    }
}