﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cVaxStealthListen
    {
        public bool IsStealthListenerCall(string sDialNo)
        {
            if(sDialNo.IndexOf("#1#") == 0)
                return true;

            return false;
        }

        public void OnIncomingCall(int nSessionId, string sDialNo, int nFromPeerType, string sFromPeerName, ref bool bProcessed)
        {
            bProcessed = false;

            if(!IsStealthListenerCall(sDialNo))
                return;
            
            bProcessed = true;

            string sPeerName = sDialNo;
            sPeerName = sPeerName.Trim();
            sPeerName = sPeerName.Replace("#1#", "");
            
            cVaxServerExCOM.m_objVaxServerExCOM.AcceptCallSession(nSessionId, "", "", "", -1, "");
            cVaxServerExCOM.m_objVaxServerExCOM.AddStealthListener(nSessionId, cVaxServerCOM.VAX_PEER_TYPE_USER, sPeerName, cVaxServerCOM.TYPE_VOICE_ADMIN);
        }
    }
}
